Bug 37769 - www/mod_php4: can't make package because PLIST_SUB gets smashed after MOD_DIR is added
Summary: www/mod_php4: can't make package because PLIST_SUB gets smashed after MOD_DIR...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-05 17:40 UTC by Alan E
Modified: 2002-05-11 16:52 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (616 bytes, patch)
2002-05-05 17:40 UTC, Alan E
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-05-05 17:40:01 UTC
An unconditional assignment (=, not +=) blows away PLIST_SUB after 
MOD_DIR has been added, so %%MOD_DIR%% isn't substituted in plist and
package fails to make.

Fix: ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
How-To-Repeat: 
make package
Comment 1 Anders Nordby freebsd_committer 2002-05-05 17:48:20 UTC
Responsible Changed
From-To: freebsd-ports->dirk

Over to maintainer.
Comment 2 Alex Dupre 2002-05-05 18:23:27 UTC
The AP_LIBEXEC variable and the following PLIST substitution are useless
(and wrong with apache2). I think it's better to remove them instead of
patching.

				Alex Dupre
Comment 3 Alan Eldridge 2002-05-05 18:30:10 UTC
On Sun, May 05, 2002 at 07:23:27PM +0200, Alex Dupre wrote:
>The AP_LIBEXEC variable and the following PLIST substitution are useless
>(and wrong with apache2). I think it's better to remove them instead of
>patching.

If that's the case, then that's fine with me. I just took the safest way
to patch the port and make it whole again. :) So, Dirk, it's up to
you now ...
-- 
AlanE
Comment 4 dirk freebsd_committer 2002-05-11 16:51:45 UTC
State Changed
From-To: open->closed

Removed extra PLIST_SUB setting.